#ifndef MAINOBJECT_H
#define MAINOBJECT_H

#include <QObject>
#include <QApplication>

#include "mainwindow.h"
#include "vhfmillthread.h"

class MainObject : public QObject
{
	Q_OBJECT
private:
	MainWindow* w;
	QApplication* app;
	VhfMillThread* millThread;

public:
	explicit MainObject(QApplication* appI, VhfMillThread* millThreadI, QObject *parent = nullptr);
	~MainObject();

public slots:
	void activate();
};

#endif // MAINOBJECT_H
